DECLARE @IPKey 		UniqueIdentifier -- key of existing record
DECLARE @IsUpdate 	BIT

SET @IPKey = (SELECT ItemPermitKey FROM dbo.xsfItemPermit WHERE ItemKey = @pItemKey AND UCRoleKey = @pRoleKey)
SET @IsUpdate = CASE WHEN @IPKey is not null THEN 1 ELSE 0 END

IF @IsUpdate = 0  BEGIN
	-- insert a new record
	INSERT INTO [dbo].[xsfItemPermit]([ItemPermitKey], [ItemKey], [UCRoleKey], [ItemType], 
						[ListOK], [ReadOK], [InsOK], [UpdOk], [DelOK], [BlanketOK])
		VALUES( NEWID(), @pItemKey, @pRoleKey, 'C',
			@pListOK, @pReadOK, 0, 0, 0, 0)

END
ELSE BEGIN
		-- UPDATE
		UPDATE [dbo].[xsfItemPermit]
			SET 	[ListOK]= @pListOK, 
				[ReadOK]= @pReadOK
			WHERE ItemPermitKey = @IPKey AND UCRoleKey = @pRoleKey
END

