-- NOTE: SetupStarterUser runs this script

GO
BEGIN TRANSACTION 
-- Deploy Javascript tab
-- assure JS folder exists 
DECLARE @W				DateTime = GETDATE()
	,	@PHTMLFolderKey UniqueIdentifier 
set @PHTMLFolderKey = (SELECT [ItemContainerKey] FROM xsfItemContainer WHERE  label = 'zPublicHTML');
if @PHTMLFolderKey is null set @PHTMLFolderKey  = 'BDD94AEA-F3D1-453C-B372-80A71179EF04';

IF NOT EXISTS ( SELECT * FROM xsfItemContainer WHERE [ItemContainerKey] =  @PHTMLFolderKey )INSERT xsfItemContainer([ItemContainerKey],[ParentKey],[Label],[Source],[Created]) VALUES(@PHTMLFolderKey ,'6F62DD86-91F1-4B73-98F5-34BDA6BDBA08','zPublicHTML','C',@W)
IF NOT EXISTS ( SELECT * FROM xsfItemContainer WHERE ([ItemContainerKey] = '7B6AFEC7-E786-47E9-BFBB-4A5FCD8D6597' 
												or (ParentKey = @PHTMLFolderKey and [Label] = 'js')) )INSERT xsfItemContainer([ItemContainerKey],[ParentKey],[Label],[Source],[Created]) VALUES('7B6AFEC7-E786-47E9-BFBB-4A5FCD8D6597',@PHTMLFolderKey ,'js','C',@W)
---
IF NOT EXISTS (SELECT * FROM dbo.xsfRuleItem ri WHERE RuleKey = '3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D' and FilterValue = 'js') BEGIN
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '1091B9DC-65ED-4F46-800E-C0CFA2EC5041' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('1091B9DC-65ED-4F46-800E-C0CFA2EC5041','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'AutoSearch','js','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '60F7A640-7CC0-4B5C-A809-9B0910FA5622' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('60F7A640-7CC0-4B5C-A809-9B0910FA5622','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DaysAgo','js','20120122',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '45A469C8-A289-492B-AE3A-7239797906AC' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('45A469C8-A289-492B-AE3A-7239797906AC','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'FileDrop','js','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '0CF314FB-C58D-47D6-8AB7-E1466C1FAD51' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('0CF314FB-C58D-47D6-8AB7-E1466C1FAD51','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Files','js','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '78E2E85B-576A-4BBF-9E65-F2C21EE617CF' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('78E2E85B-576A-4BBF-9E65-F2C21EE617CF','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Folder','js','/zPublicHTML/js',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '160A3F3D-251E-4E93-B419-3A00851DAE1D' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('160A3F3D-251E-4E93-B419-3A00851DAE1D','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Lock','js','Files;Documents;Folder;Subcontract;Task;Due;Reference;MaxItems;DocAttrType;DocStatus;DocNo;Closed;Project;AutoSearch;DocType;ReferenceDate;PerPage;SourceContact;SourceCompany',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '64C5FEFC-231C-4827-BDAE-985CBD3845AE' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('64C5FEFC-231C-4827-BDAE-985CBD3845AE','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PageTitle','js','Java Script Files',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'AF8246CA-A894-4E6A-AB26-8D1D52A5217A' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('AF8246CA-A894-4E6A-AB26-8D1D52A5217A','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'ShowFileKeywords','js','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'E204EB56-261A-4D2E-B975-4838C1E575FC' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('E204EB56-261A-4D2E-B975-4838C1E575FC','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'VisibleTo','js','System Admin',NULL)
END 

-- Deploy V17DOC tab
IF NOT EXISTS (SELECT * FROM dbo.xsfRuleItem ri WHERE RuleKey = '3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D' and FilterValue = 'v17DOC') BEGIN
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'E04841C7-3F36-48BA-84F2-944BE75FC08A' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('E04841C7-3F36-48BA-84F2-944BE75FC08A','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'AutoSearch','v17DOC','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'F81DEDB1-1219-4151-863B-659061F9BF47' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('F81DEDB1-1219-4151-863B-659061F9BF47','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DaysAgo','v17DOC','180',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'E75FAE4D-FC60-45DA-98F0-C3BA61EA5FA3' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('E75FAE4D-FC60-45DA-98F0-C3BA61EA5FA3','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Documents','v17DOC','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'F704318A-4274-4E9B-B691-260FCF1A7D2A' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('F704318A-4274-4E9B-B691-260FCF1A7D2A','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Lock','v17DOC','Files;Documents;Folder;MaxItems;PerPage;DocAttrType;AutoSearch',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '14AB38A3-1B5E-44E3-A610-16F0B09F0599' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('14AB38A3-1B5E-44E3-A610-16F0B09F0599','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'MaxItems','v17DOC','200',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '1EF9DCB6-667E-478D-B74B-FA796E81E601' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('1EF9DCB6-667E-478D-B74B-FA796E81E601','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PageTitle','v17DOC','Documents Only',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '397C38C0-F379-4B47-AF6A-544E58BD5755' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('397C38C0-F379-4B47-AF6A-544E58BD5755','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PerPage','v17DOC','100',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '8B4D5777-125E-494C-959B-417B096171BB' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('8B4D5777-125E-494C-959B-417B096171BB','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'TabKey','v17DOC','Docs',NULL)
END 

-- Deploy v17FILE
IF NOT EXISTS (SELECT * FROM dbo.xsfRuleItem ri WHERE RuleKey = '3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D' and FilterValue = 'v17FILE') BEGIN
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '8C7359E5-DAD7-4AB6-8A62-0B57D113E03C' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('8C7359E5-DAD7-4AB6-8A62-0B57D113E03C','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'AutoSearch','v17FILE','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'CDD63049-E7DE-481D-91D9-C078BFB739F5' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('CDD63049-E7DE-481D-91D9-C078BFB739F5','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DaysAgo','v17FILE','180',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '7F5A9992-4047-4216-8B73-5837DCF850ED' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('7F5A9992-4047-4216-8B73-5837DCF850ED','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Files','v17FILE','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '6B1C9E0B-EC94-44C3-9E66-0BFA8127F25C' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('6B1C9E0B-EC94-44C3-9E66-0BFA8127F25C','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Lock','v17FILE','Files;Documents;MaxItems;PerPage;AutoSearch',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '84B1ACEC-581B-4ECA-995F-4550939FA592' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('84B1ACEC-581B-4ECA-995F-4550939FA592','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'MaxItems','v17FILE','200',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '14594215-C42C-4A21-AB42-86F6805ADCF8' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('14594215-C42C-4A21-AB42-86F6805ADCF8','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PageTitle','v17FILE','Files Only',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'EAE4061A-7189-4F94-AFCE-2693CC0B0181' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('EAE4061A-7189-4F94-AFCE-2693CC0B0181','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PerPage','v17FILE','100',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'FC0247BD-DBCB-460E-AB03-27C6B427B3D8' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('FC0247BD-DBCB-460E-AB03-27C6B427B3D8','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'TabKey','v17FILE','Files',NULL)
END
-- Deploy v17OBD
IF EXISTS( SELECT * FROM dbo.xsfDocType t where t.DocTypeKey = '6D384462-6C13-42C5-A744-8E70DBD7E95D' and SiteActive = 1 ) 
		AND NOT EXISTS (SELECT * FROM dbo.xsfRuleItem ri WHERE RuleKey = '3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D' and FilterValue = 'v17OBD') BEGIN
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '8EE378B4-2BA7-4EA1-89AD-D24AA10FBE60' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('8EE378B4-2BA7-4EA1-89AD-D24AA10FBE60','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'AutoSearch','v17OBD','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '5BAA3BBF-DB94-4102-AF89-49FCD5FFD16D' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('5BAA3BBF-DB94-4102-AF89-49FCD5FFD16D','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DaysAgo','v17OBD','180',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'DBF980C3-9FC9-4138-B77F-86B5FC74D6E4' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('DBF980C3-9FC9-4138-B77F-86B5FC74D6E4','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DocType','v17OBD','6D384462-6C13-42C5-A744-8E70DBD7E95D',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'D4F2172C-333B-464D-8AFD-631119523B28' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('D4F2172C-333B-464D-8AFD-631119523B28','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Documents','v17OBD','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'E209D17D-AEB7-4794-9AF3-451F6BBB5C4C' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('E209D17D-AEB7-4794-9AF3-451F6BBB5C4C','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Lock','v17OBD','Files;Documents;DocType;MaxItems;PerPage;Closed;DocAttrType;AutoSearch',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '60387C61-AE7C-4DD0-9586-1F0A21F364D9' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('60387C61-AE7C-4DD0-9586-1F0A21F364D9','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'MaxItems','v17OBD','200',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'BFAE3385-E087-4D98-A0ED-027C5833765A' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('BFAE3385-E087-4D98-A0ED-027C5833765A','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PageTitle','v17OBD','Open Bids',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'E67478E3-EC31-45A9-B942-F204419A4133' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('E67478E3-EC31-45A9-B942-F204419A4133','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PerPage','v17OBD','100',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'C3FD357F-0F2E-40FB-844E-A2CDA26D09FE' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('C3FD357F-0F2E-40FB-844E-A2CDA26D09FE','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'TabKey','v17OBD','Open Bid',NULL)
END
-- Deploy v17OCO
IF EXISTS( SELECT * FROM dbo.xsfDocType t where t.DocTypeKey = 'F59AFFE0-B407-4849-8917-060C021450A1' and SiteActive = 1 ) 
		AND NOT EXISTS (SELECT * FROM dbo.xsfRuleItem ri WHERE RuleKey = '3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D' and FilterValue = 'v17OCO') BEGIN
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '8EC61FDE-E990-49A5-A3E3-8D9BA38E8D95' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('8EC61FDE-E990-49A5-A3E3-8D9BA38E8D95','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'AutoSearch','v17OCO','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '2F57E331-885C-4DA1-84F2-6F922A5B4314' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('2F57E331-885C-4DA1-84F2-6F922A5B4314','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DaysAgo','v17OCO','180',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '4A202F06-2095-4E7A-9BE7-0E97F163A1D0' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('4A202F06-2095-4E7A-9BE7-0E97F163A1D0','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DocType','v17OCO','F59AFFE0-B407-4849-8917-060C021450A1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '073EFCAD-651C-49B9-8B97-1F3A05A3AE09' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('073EFCAD-651C-49B9-8B97-1F3A05A3AE09','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Documents','v17OCO','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'E00159B9-1928-4E39-9B90-43304F60BC75' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('E00159B9-1928-4E39-9B90-43304F60BC75','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Lock','v17OCO','Files;Documents;DocType;MaxItems;PerPage;Closed;DocAttrType;AutoSearch',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '742D85B1-E590-4C6D-B89E-65B41BABE59C' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('742D85B1-E590-4C6D-B89E-65B41BABE59C','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'MaxItems','v17OCO','200',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'FEAA9631-6684-4F4E-91C1-8240C5CDFE47' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('FEAA9631-6684-4F4E-91C1-8240C5CDFE47','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PageTitle','v17OCO','Open Change Orders',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'FAE2B1CE-8074-476D-96EC-1EDBED064C2E' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('FAE2B1CE-8074-476D-96EC-1EDBED064C2E','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PerPage','v17OCO','100',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '402658F8-60DC-4F9A-952C-F5990CEB2DD1' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('402658F8-60DC-4F9A-952C-F5990CEB2DD1','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'TabKey','v17OCO','Open CO',NULL)
END 
-- Deploy v17ORQ
IF EXISTS( SELECT * FROM dbo.xsfDocType t where t.DocTypeKey = '7F9F6112-6401-409C-80C9-8ED1F648AAA3' and SiteActive = 1 )   
		AND NOT EXISTS (SELECT * FROM dbo.xsfRuleItem ri WHERE RuleKey = '3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D' and FilterValue = 'v17ORQ') BEGIN
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'FA90F5F0-E87C-4173-AA43-3C4818F5776D' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('FA90F5F0-E87C-4173-AA43-3C4818F5776D','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'AutoSearch','v17ORQ','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '64DDAC7F-C9EB-4DFA-96B3-72CAEFEA525D' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('64DDAC7F-C9EB-4DFA-96B3-72CAEFEA525D','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DaysAgo','v17ORQ','180',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'E79A0650-DAF9-4E9E-A1D6-D82A0BA9C872' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('E79A0650-DAF9-4E9E-A1D6-D82A0BA9C872','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DocType','v17ORQ','7F9F6112-6401-409C-80C9-8ED1F648AAA3',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '0FDBEFBE-7A23-423E-B73B-AEB0B804C7B3' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('0FDBEFBE-7A23-423E-B73B-AEB0B804C7B3','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Documents','v17ORQ','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '1905354C-C2E1-460E-8387-10FE2A60715A' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('1905354C-C2E1-460E-8387-10FE2A60715A','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Lock','v17ORQ','Files;Documents;DocType;MaxItems;PerPage;Closed;DocAttrType;AutoSearch',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '89EA4C8E-5689-4D6A-B2FB-BDEB631FB389' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('89EA4C8E-5689-4D6A-B2FB-BDEB631FB389','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'MaxItems','v17ORQ','200',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'DE8E7127-1024-4C63-A6FD-9EB2A332737A' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('DE8E7127-1024-4C63-A6FD-9EB2A332737A','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PageTitle','v17ORQ','Open RFQs',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '5BB1051B-773B-4323-91AC-00BB03E45C74' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('5BB1051B-773B-4323-91AC-00BB03E45C74','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PerPage','v17ORQ','100',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '4F6F5C13-8D03-4B2C-8BF8-C43AAA263BAE' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('4F6F5C13-8D03-4B2C-8BF8-C43AAA263BAE','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'TabKey','v17ORQ','Open RFQ',NULL)
END

-- Deploy v17OPR
IF EXISTS( SELECT * FROM dbo.xsfDocType t where t.DocTypeKey = '5B0A71D8-ED55-455B-BB99-2AB7D3B7A1CF' and SiteActive = 1 )   
		AND NOT EXISTS (SELECT * FROM dbo.xsfRuleItem ri WHERE RuleKey = '3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D' and FilterValue = 'v17OPR') BEGIN
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'F8C5AF0A-95BB-4954-B76A-343C0EAF6D10' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('F8C5AF0A-95BB-4954-B76A-343C0EAF6D10','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'AutoSearch','v17OPR','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '10435668-CD80-4683-9BA5-79B889B613AA' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('10435668-CD80-4683-9BA5-79B889B613AA','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DaysAgo','v17OPR','180',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '57ABD9F1-F495-4BB3-9B7C-655FD42149DA' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('57ABD9F1-F495-4BB3-9B7C-655FD42149DA','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DocType','v17OPR','5B0A71D8-ED55-455B-BB99-2AB7D3B7A1CF',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '8196634B-337B-4AF9-B9E1-50FA81575B88' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('8196634B-337B-4AF9-B9E1-50FA81575B88','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Documents','v17OPR','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '4DFA88DA-2E83-4657-BE1E-5812AA884B0F' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('4DFA88DA-2E83-4657-BE1E-5812AA884B0F','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Lock','v17OPR','Files;Documents;DocType;MaxItems;PerPage;Closed;DocAttrType;AutoSearch',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'B0811669-DBA2-448C-AE7A-ACF7DABD863A' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('B0811669-DBA2-448C-AE7A-ACF7DABD863A','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'MaxItems','v17OPR','200',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'BB27EB75-8475-4255-B497-CD37EF9A5ACB' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('BB27EB75-8475-4255-B497-CD37EF9A5ACB','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PageTitle','v17OPR','Open Pay Requests',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '98488847-266F-4104-B26E-E72BEB6A6E1A' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('98488847-266F-4104-B26E-E72BEB6A6E1A','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PerPage','v17OPR','100',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'B9A7C610-8E62-4FA5-A03D-6665AE9DBABD' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('B9A7C610-8E62-4FA5-A03D-6665AE9DBABD','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'TabKey','v17OPR','Open PR',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = 'B648D078-E473-45D3-80EF-DDDB4EFE9EDB' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('B648D078-E473-45D3-80EF-DDDB4EFE9EDB','DocSearch','DocCostImpact',NULL,NULL,'PSS@v17OPR',NULL,'Amount',NULL,'C2','CSS=clsTextNumericReadOnly;',NULL,'Cost Impact of this document',NULL,NULL,0,1,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '7905674B-5FDF-450A-90E9-BC46F8D6DF84' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('7905674B-5FDF-450A-90E9-BC46F8D6DF84','DocSearch','DocSourceDocNoCol',NULL,NULL,'PSS@v17OPR',NULL,'Source #',NULL,NULL,NULL,NULL,'Source number on document',NULL,NULL,0,1,1,1,0)
END


-- PresetSearch Deploy Closed AP Tab
-- SF 21512  (DocTypeKey = '43738463-5126-4394-A554-08DFF202FFFF')
-- show fields on voucher doc    
IF EXISTS( SELECT * FROM dbo.xsfDocType t where t.DocTypeKey = '43738463-5126-4394-A554-08DFF202FFFF' and SiteActive = 1 )   
		AND NOT EXISTS (SELECT * FROM dbo.xsfRuleItem ri WHERE RuleKey = '3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D' and FilterValue = 'ap') BEGIN

	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = 'C316EFDB-3209-4FBE-A6F4-9A50F8E1B7BA' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('C316EFDB-3209-4FBE-A6F4-9A50F8E1B7BA','DocBodyDetails','csDate','43738463-5126-4394-A554-08DFF202FFFF',NULL,'','','Check Date',NULL,NULL,NULL,NULL,NULL,0,0,0,1,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '3956F9A0-0D1F-4F8D-B308-C3659642D022' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('3956F9A0-0D1F-4F8D-B308-C3659642D022','DocBodyDetails','ExternalDocNo','43738463-5126-4394-A554-08DFF202FFFF',NULL,NULL,NULL,'Check #',NULL,NULL,'Width=22ex;',NULL,NULL,NULL,NULL,0,1,1,1,0)

	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'DCB8B426-DB94-402B-B2B6-DB2FD6AEB9EC' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('DCB8B426-DB94-402B-B2B6-DB2FD6AEB9EC','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Closed','ap','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'C8C7C38A-D153-488B-8FF7-D45CD7432CDF' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('C8C7C38A-D153-488B-8FF7-D45CD7432CDF','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'DocType','ap','43738463-5126-4394-A554-08DFF202FFFF',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '812559B4-4B4F-4264-AFD0-661F2EDE42EE' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('812559B4-4B4F-4264-AFD0-661F2EDE42EE','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Documents','ap','1',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '978D90A7-A850-4067-A424-689A02A49BDA' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('978D90A7-A850-4067-A424-689A02A49BDA','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Lock','ap','Closed;DocAttrType;Due;Files;HasAttachments;ResponsibleParty;Search;SourceContact;SubType;Reference',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '0651B827-561A-4658-A63E-C7B6BB3697C6' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('0651B827-561A-4658-A63E-C7B6BB3697C6','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'MaxItems','ap','500',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'C3D8BDD6-FDF6-4FA8-9B47-9CBCF1411700' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('C3D8BDD6-FDF6-4FA8-9B47-9CBCF1411700','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PageTitle','ap','Closed AP',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'A84595D0-5403-4827-B0DB-CF12F1F54379' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('A84595D0-5403-4827-B0DB-CF12F1F54379','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'PerPage','ap','100',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = 'DE07B1FF-0E98-4B5F-BA14-F9C567C12DED' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('DE07B1FF-0E98-4B5F-BA14-F9C567C12DED','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'Status','ap','C',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfRuleItem WHERE [RuleItemKey] = '438E1CBC-DA06-4397-98E2-DE88B4687A15' )INSERT xsfRuleItem([RuleItemKey],[RuleKey],[IsDistributed],[Immutable],[TestValue],[FilterValue],[ResultValue],[Purpose]) VALUES('438E1CBC-DA06-4397-98E2-DE88B4687A15','3CE2A1F9-284C-4B82-9AA8-E3C632DEE36D',0,0,'TabKey','ap','AP',NULL)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '8E16993B-5E2D-43AB-9DC9-5331E43D1BEB' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('8E16993B-5E2D-43AB-9DC9-5331E43D1BEB','DocSearch','DocDateCol',NULL,NULL,'PSS@ap',NULL,'Date',NULL,NULL,NULL,NULL,'Document''s creation Date',NULL,1,0,0,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '0ABA3E70-39A3-4DD8-8638-D24454EF4234' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('0ABA3E70-39A3-4DD8-8638-D24454EF4234','DocSearch','DocDocNoCol',NULL,NULL,'PSS@ap',NULL,'DocNo',NULL,NULL,NULL,NULL,'Document number',NULL,4,0,0,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '846F470D-9D63-48B9-8DC4-F4B6C7AA4F70' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('846F470D-9D63-48B9-8DC4-F4B6C7AA4F70','DocSearch','DocLastModCol',NULL,NULL,'PSS@ap',NULL,'Check Date',NULL,NULL,'DataField=csDate',NULL,'Date on which document was last modified',NULL,9,0,0,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '6B8D6BAB-0DFD-47B4-9BC0-542B008B6202' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('6B8D6BAB-0DFD-47B4-9BC0-542B008B6202','DocSearch','DocProjectCol',NULL,NULL,'PSS@ap',NULL,'Project ID',NULL,NULL,NULL,NULL,'Project associated with document',NULL,6,0,0,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '0C141F5B-D08D-4011-BD48-C12959E166A9' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('0C141F5B-D08D-4011-BD48-C12959E166A9','DocSearch','DocProjectNameCol',NULL,NULL,'PSS@ap',NULL,'Project Name',NULL,NULL,NULL,NULL,'Project name/description',NULL,7,0,0,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '5961653B-6162-4DEA-9C38-5C5F30387928' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('5961653B-6162-4DEA-9C38-5C5F30387928','DocSearch','DocResponsibleCol',NULL,NULL,'PSS@ap',NULL,'Check #',NULL,NULL,'DataField=ExternalDocNo; ShowColType=DBLabel',NULL,'Used for Check # coming from the document''s External Doc No field.',NULL,10,0,0,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '08638E4D-55F1-485F-800C-B70537663828' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('08638E4D-55F1-485F-800C-B70537663828','DocSearch','DocSourceContactCol',NULL,NULL,'PSS@ap',NULL,'Source Contact',NULL,NULL,NULL,NULL,'Source Contact on document',NULL,8,0,1,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '30298682-6964-47F8-89BA-3195F5D2F9BB' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('30298682-6964-47F8-89BA-3195F5D2F9BB','DocSearch','DocSourceDocNoCol',NULL,NULL,'PSS@ap',NULL,'Source #',NULL,NULL,NULL,NULL,'Source number on document',NULL,5,0,0,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '2104043A-09A0-4B56-9DAB-C83011F27C48' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('2104043A-09A0-4B56-9DAB-C83011F27C48','DocSearch','DocStatusTextCol',NULL,NULL,'PSS@ap',NULL,'Status',NULL,NULL,NULL,NULL,'Document status',NULL,11,0,0,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '5A97DA21-2F56-4150-9CE2-184814CDB04B' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('5A97DA21-2F56-4150-9CE2-184814CDB04B','DocSearch','DocTitleCol',NULL,NULL,'PSS@ap',NULL,'Title',NULL,NULL,NULL,NULL,'Document title/description',NULL,2,0,0,1,1,0)
	IF NOT EXISTS ( SELECT * FROM xsfPartConfig WHERE [PartConfigKey] = '6BC6BBB5-4305-45D2-AF63-30EA348F7C02' )INSERT xsfPartConfig([PartConfigKey],[PartName],[ItemName],[DocTypeKey],[UCFunctionKey],[Container],[Filter],[Label],[LookupName],[DisplayFormat],[AuxData],[TipText],[HelpText],[LimitTo],[SeqData],[RequiredBefore],[IsReadOnly],[Active],[Visible],[IsDistributed]) VALUES('6BC6BBB5-4305-45D2-AF63-30EA348F7C02','DocSearch','DocTypeCol',NULL,NULL,'PSS@ap',NULL,'Type',NULL,NULL,NULL,NULL,'Doc type',NULL,3,0,0,1,1,0)
END

COMMIT
