
CREATE TABLE [dbo].[xsfConfig](
	[CfgIDKey] [uniqueidentifier] NOT NULL CONSTRAINT [DF_xsfConfig_CfgIDKey]  DEFAULT (newid()),
	[CompanyID] [char](10) NOT NULL CONSTRAINT [DF_xsfConfig_CompanyID]  DEFAULT ('[ALL]'),
	[Key] [varchar](64) NOT NULL,
	[ValueType] [char](1) NULL CONSTRAINT [DF_xsfConfig_VType]  DEFAULT ('C'),
	[ValueLength] [smallint] NOT NULL CONSTRAINT [DF_xsfConfig_ValueLength]  DEFAULT ((0)),
	[Value] [varchar](80) NOT NULL,
	[UpdateTS] [timestamp] NOT NULL,
 CONSTRAINT [PK_xsfConfig] PRIMARY KEY CLUSTERED 
(
	[CfgIDKey] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [AK_xSfConfig] UNIQUE NONCLUSTERED 
(
	[CompanyID] ASC,
	[Key] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 90) ON [PRIMARY]
) ON [PRIMARY]
