
-- << $STATUS Setup Login  $OBJNAME$
PRINT 'Setup Login  $OBJNAME$';

IF IS_SRVROLEMEMBER('SecurityAdmin') = 1 BEGIN
	IF NOT EXISTS(SELECT * FROM master.dbo.syslogins WHERE [name] = '$OBJNAME$') EXEC sp_AddLogin @loginame = [$OBJNAME$] , @passwd = @PW, @sid = $SID$
	-- CREATE LOGIN [SFTEST] WITH Password=does-not-take-sqlparm, sid=0x78D58697435C574FA636FC6A951AF7F0, Check_Expiration=OFF, Check_Policy=Off
	IF EXISTS (SELECT * FROM dbo.sysusers WHERE issqlrole = 0 and [name] = '$OBJNAME$' and sid <> (SELECT sid FROM master.dbo.syslogins WHERE NAME = '$OBJNAME$')) BEGIN
		exec sp_change_users_login 'AUTO_FIX','$OBJNAME$' 
		IF EXISTS (SELECT * FROM dbo.sysusers WHERE issqlrole = 0 and [name] = '$OBJNAME$' and sid <> (SELECT sid FROM master.dbo.syslogins WHERE NAME = '$OBJNAME$'))  EXEC sp_dropuser [$OBJNAME$]
	END


	IF NOT EXISTS (SELECT * FROM dbo.sysusers WHERE issqlrole = 0 and [name] = '$OBJNAME$' ) EXEC sp_adduser @loginame = [$OBJNAME$]
	IF EXISTS (SELECT * FROM fn_my_permissions(NULL, 'SERVER') WHERE permission_name = 'ALTER ANY LOGIN') EXEC sp_Password @New=@PW, @loginame='$OBJNAME$'  ELSE PRINT '* ICTool does not have [ALTER ANY LOGIN] (for PW change in SetupSpitfireLogin)';
	IF  @@MicrosoftVersion > 150996343 BEGIN 
		EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''$OBJNAME$'') ALTER USER [$OBJNAME$] WITH DEFAULT_SCHEMA = dbo ')
	
		DECLARE @X SYSNAME, @FIX VARCHAR(999), @Limit INT
		SET @Limit = (SELECT COUNT(*) FROM sys.objects WHERE SCHEMA_NAME(schema_id) = '$OBJNAME$')
		WHILE EXISTS (select * from sys.objects WHERE SCHEMA_NAME(schema_id) = 'Spitfire') AND @Limit > 0 BEGIN
			SET @X = (select top 1 name FROM sys.objects WHERE SCHEMA_NAME(schema_id) = '$OBJNAME$') 
			SET @FIX = 'IF OBJECT_ID(''$OBJNAME$.[' + @x + ']'') IS NULL  ALTER schema dbo TRANSFER [$OBJNAME$].[' + @x + ']'  
			EXEC(@FIX)
			SET @Limit = @Limit - 1
			END 

		IF NOT EXISTS (SELECT COUNT(*) FROM sys.objects WHERE SCHEMA_NAME(schema_id) = '$OBJNAME$') EXEC('IF EXISTS (select * from sys.schemas where  [name] = ''$OBJNAME$'') drop schema  [$OBJNAME$] ')
	END

 END
 ELSE BEGIN
 	PRINT '* ICTool does not have SecurityAdmin (for SetupSpitfireLogin)';
	IF NOT EXISTS(SELECT * FROM master.dbo.syslogins WHERE [name] = '$OBJNAME$') PRINT '<!> Critical error: Login [$OBJNAME$] is required but insufficient permission to create it';
END
